using System.Collections.Generic;
using System.Web.Mvc;

namespace Shuttle.Wiki.MVC
{
    public class SettingModel : FormModel
    {
        public SettingModel(string action, string controller) : base(action, controller)
        {
        }

        public string WikiName { get; set; }
        public string NoReplyEMailAddress { get; set; }
        public string MemberRegistrationMode { get; set; }
        public string EMailDomain { get; set; }

        public SelectList MemberRegistrationModes()
        {
            return new SelectList(new List<string> { "Private", "Public" }, MemberRegistrationMode);
        }
    }
}