using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class WikiImageColumns
	{
		public static readonly MappedColumn<Guid> Id = new MappedColumn<Guid>("Id", DbType.Guid).AsIdentifier();
		public static readonly MappedColumn<string> Name = new MappedColumn<string>("Name", DbType.AnsiString, 250);
		public static readonly MappedColumn<string> FileExtension = new MappedColumn<string>("FileExtension", DbType.AnsiString, 10);
	}
}