using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class WikiPageHistoryColumns
    {
        public static readonly MappedColumn<string> PageName = new MappedColumn<string>("PageName", DbType.AnsiString, 250);
        public static readonly MappedColumn<DateTime> DateChanged = new MappedColumn<DateTime>("DateChanged", DbType.DateTime);
        public static readonly MappedColumn<Guid> MemberId = new MappedColumn<Guid>("MemberId", DbType.Guid);
        public static readonly MappedColumn<string> MemberName = new MappedColumn<string>("MemberName", DbType.AnsiString, 65);
        public static readonly MappedColumn<string> Markup = new MappedColumn<string>("Markup", DbType.AnsiString);
    }
}