using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public class WikiImageMapper : IDataRowMapper<WikiImage>
	{
		public MappedRow<WikiImage> Map(DataRow row)
		{
			return new MappedRow<WikiImage>(row, new WikiImage(WikiImageColumns.Id.MapFrom(row))
			                                     {
													 Name = WikiImageColumns.Name.MapFrom(row),
													 FileExtension = WikiImageColumns.FileExtension.MapFrom(row)
			                                     });
		}
	}
}