using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public class WikiPageMapper : IDataRowMapper<WikiPage>
    {
        public MappedRow<WikiPage> Map(DataRow row)
        {
            return new MappedRow<WikiPage>(
                row,
                new WikiPage(
                    WikiPageColumns.Id.MapFrom(row),
                    WikiPageColumns.PageName.MapFrom(row)));
        }
    }
}