﻿using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public class MemberQuery : DataQuery, IMemberQuery
	{
		public DataTable All()
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source, MemberQueries.All());
		}

		public DataRow Details(Guid id)
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source, MemberQueries.Details(id)).Row();
		}

	    public string EMailAddress(Guid id)
	    {
	        return DatabaseGateway.GetScalarUsing<string>(WikiData.Source, MemberQueries.EMailAddress(id));
	    }
	}
}