﻿using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public class WikiPageQuery : DataQuery, IWikiPageQuery
    {
    	public DataTable GetPageHtml(string pageName)
        {
            return DatabaseGateway.GetDataTableFor(WikiData.Source,WikiPageQueries.GetPageHtml(pageName));
        }

        public DataTable GetPageNameFromSectionId(Guid sectionId)
        {
            return DatabaseGateway.GetDataTableFor(WikiData.Source,WikiPageQueries.GetPageNameFromSectionId(sectionId));
        }
    }
}