﻿using System;
using Shuttle.Core.Domain;

namespace Shuttle.Wiki
{
	public interface IWikiImageRepository :
		IRepository<WikiImage, Guid>,
		ICanContainEntity<WikiImage>
	{
		WikiImage GetByName(string name);
		bool ContainsName(string name);
	}
}