using Shuttle.Core.Infrastructure;

namespace Shuttle.Wiki
{
	public class ApplicationConfiguration : IApplicationConfiguration
	{
		public ApplicationConfiguration()
		{
            SiteUrl = ConfigurationItem<string>.ReadSetting("SiteUrl").GetValue();
            CredentialsUrl = ConfigurationItem<string>.ReadSetting("CredentialsUrl").GetValue();
            MediaFolder = ConfigurationItem<string>.ReadSetting("MediaFolder").GetValue();
            PasswordKey = ConfigurationItem<string>.ReadSetting("PasswordKey").GetValue();
		}

        public string SiteUrl { get; private set; }
        public string CredentialsUrl { get; private set; }
        public string MediaFolder { get; private set; }
        public string PasswordKey { get; private set; }
	}
}