using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class WikiData
	{
		public static readonly DataSource Source = new DataSource("Wiki",
		                                                          new SqlServerDbDataParameterFactory(),
		                                                          new SqlServerContainsQueryFactory(),
		                                                          new SqlServerInsertQueryFactory(),
		                                                          new SqlServerUpdateQueryFactory(),
		                                                          new SqlServerDeleteQueryFactory(),
		                                                          new SqlServerSelectQueryFactory());
	}
}