﻿$(document).ready(function () {
	addToggleClass('.page-number', 'ui-state-hover');

	$('.page-number').bind('click', function () { gotoPage($(this).attr('page')); });

	gotoPage(1);
});

function gotoPage(page) {
	$('#search-results-page').html('<div>Loading page ' + page + '</div>');
	$('#search-results-page').addClass('server-call');

	$.ajax(
        {
        	url: url('page', 'search', page),
        	success: function (data) {
        		$('#search-results-page').html(data);
        		$('#search-results-page').removeClass('server-call');
        		styleTables();
        	},
        	timeout: 3000,
        	error: function (request, error) {
       			$('#search-results-page').html('<p>Error: ' + error + '.  Please try again.</p><p>If this problem persists please contact us.</p>');
        		$('#search-results-page').removeClass('server-call');
        	}
        });
}
