using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class MemberColumns
    {
        public static readonly MappedColumn<Guid> Id = new MappedColumn<Guid>("Id", DbType.Guid).AsIdentifier();
        public static readonly MappedColumn<string> Password = new MappedColumn<string>("Password", DbType.AnsiString, 65);
        public static readonly MappedColumn<string> Name = new MappedColumn<string>("Name", DbType.AnsiString, 65);
        public static readonly MappedColumn<string> EMailAddress = new MappedColumn<string>("EMailAddress", DbType.AnsiString, 160);
        public static readonly MappedColumn<string> NewEMailAddress = new MappedColumn<string>("NewEMailAddress", DbType.AnsiString, 160);
        public static readonly MappedColumn<DateTime> RegistrationDate = new MappedColumn<DateTime>("RegistrationDate", DbType.DateTime);
        public static readonly MappedColumn<DateTime?> ActivationDate = new MappedColumn<DateTime?>("ActivationDate", DbType.DateTime);
        public static readonly MappedColumn<string> Role = new MappedColumn<string>("Role", DbType.AnsiString, 30);
    }
}