using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class SearchResultColumns
	{
		public static readonly MappedColumn<string> SearchText = new MappedColumn<string>("SearchText", DbType.AnsiString);
		public static readonly MappedColumn<int> EndRow = new MappedColumn<int>("EndRow", DbType.Int32);
		public static readonly MappedColumn<DateTime> ExpiresOn = new MappedColumn<DateTime>("ExpiresOn", DbType.DateTime);
		public static readonly MappedColumn<int> ResultCount = new MappedColumn<int>("ResultCount", DbType.Int32);
		public static readonly MappedColumn<int> Row = new MappedColumn<int>("Row", DbType.Int32);
		public static readonly MappedColumn<int> SearchResultRowOffset = new MappedColumn<int>("SearchResultRowOffset", DbType.Int32);
		public static readonly MappedColumn<Guid> SessionId = new MappedColumn<Guid>("SessionId", DbType.Guid);
		public static readonly MappedColumn<int> StartRow = new MappedColumn<int>("StartRow", DbType.Int32);
	}
}