using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class WikiPageColumns
    {
        public static readonly MappedColumn<Guid> Id = new MappedColumn<Guid>("Id", DbType.Guid).AsIdentifier();
        public static readonly MappedColumn<string> PageName = new MappedColumn<string>("PageName", DbType.AnsiString, 250);
        public static readonly MappedColumn<string> Html = new MappedColumn<string>("Html", DbType.AnsiString);
    }
}