using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class WikiSectionColumns
    {
        public static readonly MappedColumn<Guid> Id = new MappedColumn<Guid>("Id", DbType.Guid).AsIdentifier();
        public static readonly MappedColumn<Guid> PageId = new MappedColumn<Guid>("PageId", DbType.Guid);
        public static readonly MappedColumn<int> SequenceNumber = new MappedColumn<int>("SequenceNumber", DbType.Int32);
        public static readonly MappedColumn<string> HeadingMarkup = new MappedColumn<string>("HeadingMarkup", DbType.AnsiString, 250);
        public static readonly MappedColumn<string> BodyMarkup = new MappedColumn<string>("BodyMarkup", DbType.AnsiString, 7000);
    }
}