using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public class WikiSectionMapper : IDataRowMapper<WikiSection>
    {
        public MappedRow<WikiSection> Map(DataRow row)
        {
            return new MappedRow<WikiSection>(
                row,
                new WikiSection(
                    WikiSectionColumns.Id.MapFrom(row),
                    WikiSectionColumns.HeadingMarkup.MapFrom(row),
                    WikiSectionColumns.BodyMarkup.MapFrom(row)));
        }
    }
}