using System.Data;

namespace Shuttle.Wiki
{
	public class SearchQuery : DataQuery, ISearchQuery
	{
		private readonly IUserSession userSession;

		public SearchQuery(IUserSession userSession)
		{
			this.userSession = userSession;
		}

		public DataTable Page(int pageNumber)
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source,SearchResultQueries.Page(userSession.SessionId, userSession.SearchResultRowOffset, pageNumber, 30));
		}
	}
}