﻿using System.Collections;
using System.Collections.Generic;

namespace Shuttle.Wiki
{
    public interface ISystemSettings
    {
        void Add(string name, string value);
        string NoReplyEMailAddress { get; set; }
        string WikiName { get; set; }
        IEnumerable<KeyValuePair<string,string>> Settings { get; }
        T GetValue<T>(string name, T @default = default(T));
    }
}