using System;
using System.Collections.Generic;

namespace Shuttle.Wiki
{
    public interface IUserSession
    {
        bool IsLoggedOn { get; }
        Guid SessionId { get; }
        
        int SearchResultRowOffset { get; set; }
        Guid MemberId { get; }
        string MemberName { get; }
        bool IsAdministrator { get; }

        void LogOn(Member member);
        void LogOff();

        IEnumerable<string> RecentPageNames { get; }
        void AddRecentPageName(string name);
    }
}