﻿using System;

namespace Shuttle.Wiki
{
    public enum ActivationResult
    {
        AlreadyActivated = 0,
        Activated = 1,
        MemberNotFound = 2
    }
    
    public interface IMemberActivationTask
    {
        void SendActivationEMail(Member member);
        ActivationResult Activate(Guid memberId);
        void SendNewEMailAddressEMail(Member member);
        void SendCredentialsReminder(Member member);
        ActivationResult ActivateEMail(Guid memberId);
    }
}