using System;
using System.Web;
using System.Web.Mvc;

namespace Shuttle.Wiki
{
    public class ContentForm : IDisposable
    {
        private readonly ViewContext viewContext;
        private readonly HtmlString submitButton;

        public ContentForm(ViewContext viewContext, HtmlString submitButton)
        {
            this.viewContext = viewContext;
            this.submitButton = submitButton;
        }

        public void Dispose()
        {
            viewContext.Writer.WriteLine("<div class='buttons'>{0}</div></form></div>", submitButton);
        }
    }
}