using System;
using System.Web.Mvc;

namespace Shuttle.Wiki
{
	public class EndTag : IDisposable
	{
		private readonly ViewContext viewContext;
		private readonly string tag;

		public EndTag(ViewContext viewContext, string tag)
		{
			this.viewContext = viewContext;
			this.tag = tag;
		}

		public void Dispose()
		{
			viewContext.Writer.WriteLine(tag);
		}
	}
}